# 3.1.0 - 2023-10-05
Notes:

- Add support for Mongoose 7 versions [#317](https://github.com/cebroker/condorlabs-npm-helpers/pull/317).

# 3.0.0 - 2023-07-18
Notes:

- An update of the dependencies is performed to eliminate security alerts. [#308](https://github.com/cebroker/condorlabs-npm-helpers/pull/308).

### Issue

- [#258](https://github.com/cebroker/condorlabs-npm-helpers/issues/307)

### Changes

- Add mongoose as a peer dependency.
- Fix mongoose prototype pollution vulnerability.

# 2.2.0 - 2023-04-13

Notes:

- An update of the dependencies is performed to eliminate security alerts. [#259](https://github.com/cebroker/condorlabs-npm-helpers/pull/259).

### Issue

- [#258](https://github.com/cebroker/condorlabs-npm-helpers/issues/258)

### Changes

- The @hapi/joi library is deprecated, it was changed to joi.
- An update of the mongoose version is performed.
- The query-string library has been upgraded.

If you get the following message: **[MONGOOSE] DeprecationWarning: Mongoose: the `strictQuery` option will be switched back to `false` by default in Mongoose 7. Use `mongoose.set('strictQuery', false);` if you want to prepare for this change. Or use `mongoose.set('strictQuery', true);` to suppress this warning.**
This is a warning message from Mongoose indicating that the strictQuery option will be switched to false by default in Mongoose 7. This option controls whether database queries should strictly apply the schema definition.

To prepare for this change, you can add the following code to your Mongoose configuration file:

```javascript
mongoose.set('strictQuery', false);
```

This will globally set strictQuery to false in your application.

If for some reason you wish to continue using strictQuery in Mongoose 7, you can set the option to true with:

```javascript
mongoose.set('strictQuery', true);
```

It's important to note that this warning only applies to the strictQuery option, and has no effect on the behavior of your application. It's simply a notification that the default value of this option will change in future versions of Mongoose.

# 2.1.0 - 2022-08-02

Notes:

- We have implemented Typescript for the MongoDB library. Also, we upgraded the versions of mongoose and the logger. [#225](https://github.com/cebroker/condorlabs-npm-helpers/pull/225)
